--
-- Broker_Currency
-- Copyright 2008+ Toadkiller of Proudmoore for the non-statistics code.
-- The statistics code is 100% ckknight
--
-- LDB display of currencies, totals and money rate for all characters on a server.
-- The statistics stuff (total money today, yesterday, last week) is 100% from FuBar_MoneyFu, credit to ckknight
-- http://www.wowace.com/projects/broker-currency/
--

local LDB = LibStub:GetLibrary("LibDataBroker-1.1")
local LibQTip = LibStub("LibQTip-1.0")
local L = AceLibrary("AceLocale-2.2"):new("Grid")
local Grid2 = Grid2

local sVersion = GetAddOnMetadata("Broker_Currency", "Version")

-- Set up as a LibBroker data source
Grid2.ldb = LDB:NewDataObject("Grid2Broker", {
	type = "launcher",
	label = L["Grid2"],
	icon = [[Interface\AddOns\Grid2Broker\icon]],
	OnClick = function(clickedframe, button)
		if (button == "RightButton") then
			InterfaceOptionsFrame_OpenToCategory(Broker_Currency.menu)
		end
	end,
	OnEnter = OnEnter,
	OnLeave = OnLeave,
})

function Grid2.ldb.OnClick(clickedframe, button)
	if (button == "RightButton") then
		InterfaceOptionsFrame_OpenToCategory("Grid2")
	end
end

local tooltip

-- Handle mouse enter event in our button
function Grid2.ldb.OnEnter(button)
	local tooltip = LibQTip:Acquire("Broker_CurrencyTooltip", 2, "LEFT", "RIGHT")
	self.tooltip = tooltip

	tooltip:AddHeader(L["Grid2"])

	tooltip:SmartAnchorTo(button)
	tooltip:Show()
end


function Grid2.ldb.OnLeave()
	LibQTip:Release(self.tooltip)
	self.tooltip = nil
end

